Subject: Re: bug#25395: 25.1; Emacs/W3 crashes on every url with elisp error (void-variable w3--args)

From: Stefan Kangas <[email-masked]>
Date: Wed, 15 Jan 2020 02:58:28 +0100

Stefan Monnier <[email-masked]> writes:

>>>>> Still, doesn't seem actively maintained, based on
>>>>> http://git.savannah.gnu.org/cgit/emacs/elpa.git/?h=externals/w3
>
> Definitely not maintained.
>
>>>> compiler warnings"). "M-x w3" has the same error. So I can only
>>>> assume this package has not been tested or used by anyone since it was
>>>> added to elpa.gnu.org.
>
> I did do some limited testing back then.  Maybe my tests were too
> limited or bitrot has caused the problems we're seeing.
> It shouldn't be too hard to fix.
>
>> Indeed, the development seems to have completely stalled.  See also:
>> 1. https://lists.gnu.org/archive/html/w3-dev/
>> 2. https://git.savannah.nongnu.org/cgit/w3.git
>
> I moved it to GNU ELPA in order to keep it on life-support.

Sorry for the late reply.

Does the above mean that you object to removing w3 from ELPA?

As much as I appreciate the effort and general sentiment here, IMHO,
keeping it around indefinitely in a broken state is less than
satisfactory.

It would perhaps be better to remove it until and unless someone
actually carries out the expected life support.  Also consider that we
have limited resources and other important tasks to work on.

Best regards,
Stefan Kangas